Bug 537242 - cman initscript FedoraGuidelines compliance
Summary: cman initscript FedoraGuidelines compliance
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: cluster
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 612097
TreeView+ depends on / blocked
 
Reported: 2009-11-12 21:49 UTC by Nate Straz
Modified: 2010-07-07 10:09 UTC (History)
8 users (show)

Fixed In Version: cluster-3.0.6-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 612097 (view as bug list)
Environment:
Last Closed: 2009-11-24 07:42:32 UTC
Type: ---


Attachments (Terms of Use)

Description Nate Straz 2009-11-12 21:49:00 UTC
Description of problem:

This is a list of issues for the cman init script when compared with the
criteria in 
https://fedoraproject.org/wiki/Packaging/SysVInitScript


Version-Release number of selected component (if applicable):
cman-3.0.4-1.fc12.i686

 * missing required actions condrestart and try-restart

 * status action returns wrong exit code when cman is not running.  The following exit codes should be used:

    1: program is dead and /var/run pid file exists
    2: program is dead and /var/lock lock file exists
    3: program is not running

 * exit status for unknown and missing arguments should be 2

[root@morph-04 tmp]$ service cman
Usage: /etc/init.d/cman {start|stop|reload|restart|status}
[root@morph-04 tmp]$ echo $?
1
[root@morph-04 tmp]$ service cman wrong
Usage: /etc/init.d/cman {start|stop|reload|restart|status}
[root@morph-04 tmp]$ echo $?
1

Comment 1 Bug Zapper 2009-11-16 15:29:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fabio Massimo Di Nitto 2009-11-24 07:42:32 UTC
Fixed with 506f14733f529f74662f01eef093f60a66dbff1d commit to STABLE3


Note You need to log in before you can comment on or make changes to this bug.